# ResourceService | windmill-client
Documentation for windmill-client

# Class ResourceService

- Defined in src/services.gen.ts:2055

#####
Index

### Constructors

constructor

### Methods

createResource
createResourceType
deleteResource
deleteResourceType
existsResource
existsResourceType
getResource
getResourceType
getResourceValue
getResourceValueInterpolated
listResource
listResourceNames
listResourceType
listResourceTypeNames
listSearchResource
queryResourceTypes
updateResource
updateResourceType
updateResourceValue

##
Constructors

### constructor

- new ResourceService(): ResourceService

- #### Returns ResourceService

##
Methods

### `Static` createResource

- createResource(data): CancelablePromise <string>

- create resource

  #### Parameters

  - data: CreateResourceData

    The data for the request.

  #### Returns CancelablePromise <string>

  string resource created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2065

### `Static` createResourceType

- createResourceType(data): CancelablePromise <string>

- create resource_type

  #### Parameters

  - data: CreateResourceTypeData

    The data for the request.

  #### Returns CancelablePromise <string>

  string resource_type created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2294

### `Static` deleteResource

- deleteResource(data): CancelablePromise <string>

- delete resource

  #### Parameters

  - data: DeleteResourceData

    The data for the request.

  #### Returns CancelablePromise <string>

  string resource deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2088

### `Static` deleteResourceType

- deleteResourceType(data): CancelablePromise <string>

- delete resource_type

  #### Parameters

  - data: DeleteResourceTypeData

    The data for the request.

  #### Returns CancelablePromise <string>

  string resource_type deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2314

### `Static` existsResource

- existsResource(data): CancelablePromise <boolean>

- does resource exists

  #### Parameters

  - data: ExistsResourceData

    The data for the request.

  #### Returns CancelablePromise <boolean>

  boolean does resource exists

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2212

### `Static` existsResourceType

- existsResourceType(data): CancelablePromise <boolean>

- does resource_type exists

  #### Parameters

  - data: ExistsResourceTypeData

    The data for the request.

  #### Returns CancelablePromise <boolean>

  boolean does resource_type exist

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2374

### `Static` getResource

- getResource(data): CancelablePromise < Resource >

- get resource

  #### Parameters

  - data: GetResourceData

    The data for the request.

  #### Returns CancelablePromise < Resource >

  Resource resource

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2151

### `Static` getResourceType

- getResourceType(data): CancelablePromise < ResourceType >

- get resource_type

  #### Parameters

  - data: GetResourceTypeData

    The data for the request.

  #### Returns CancelablePromise < ResourceType >

  ResourceType resource_type deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2355

### `Static` getResourceValue

- getResourceValue(data): CancelablePromise <unknown>

- get resource value

  #### Parameters

  - data: GetResourceValueData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown resource value

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2193

### `Static` getResourceValueInterpolated

- getResourceValueInterpolated(data): CancelablePromise <unknown>

- get resource interpolated (variables and resources are fully unrolled)

  #### Parameters

  - data: GetResourceValueInterpolatedData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown resource value

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2171

### `Static` listResource

- listResource(data): CancelablePromise < ListResourceResponse >

- list resources

  #### Parameters

  - data: ListResourceData

    The data for the request.

  #### Returns CancelablePromise < ListResourceResponse >

  ListableResource resource list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2234

### `Static` listResourceNames

- listResourceNames(data): CancelablePromise < ListResourceNamesResponse >

- list resource names

  #### Parameters

  - data: ListResourceNamesData

    The data for the request.

  #### Returns CancelablePromise < ListResourceNamesResponse >

  unknown resource list names

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2275

### `Static` listResourceType

- listResourceType(data): CancelablePromise < ListResourceTypeResponse >

- list resource_types

  #### Parameters

  - data: ListResourceTypeData

    The data for the request.

  #### Returns CancelablePromise < ListResourceTypeResponse >

  ResourceType resource_type list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2392

### `Static` listResourceTypeNames

- listResourceTypeNames(data): CancelablePromise < ListResourceTypeNamesResponse >

- list resource_types names

  #### Parameters

  - data: ListResourceTypeNamesData

    The data for the request.

  #### Returns CancelablePromise < ListResourceTypeNamesResponse >

  string resource_type list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2409

### `Static` listSearchResource

- listSearchResource(data): CancelablePromise < ListSearchResourceResponse >

- list resources for search

  #### Parameters

  - data: ListSearchResourceData

    The data for the request.

  #### Returns CancelablePromise < ListSearchResourceResponse >

  unknown resource list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2257

### `Static` queryResourceTypes

- queryResourceTypes(data): CancelablePromise < QueryResourceTypesResponse >

- query resource types by similarity

  #### Parameters

  - data: QueryResourceTypesData

    The data for the request.

  #### Returns CancelablePromise < QueryResourceTypesResponse >

  unknown resource type details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2428

### `Static` updateResource

- updateResource(data): CancelablePromise <string>

- update resource

  #### Parameters

  - data: UpdateResourceData

    The data for the request.

  #### Returns CancelablePromise <string>

  string resource updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2108

### `Static` updateResourceType

- updateResourceType(data): CancelablePromise <string>

- update resource_type

  #### Parameters

  - data: UpdateResourceTypeData

    The data for the request.

  #### Returns CancelablePromise <string>

  string resource_type updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2334

### `Static` updateResourceValue

- updateResourceValue(data): CancelablePromise <string>

- update resource value

  #### Parameters

  - data: UpdateResourceValueData

    The data for the request.

  #### Returns CancelablePromise <string>

  string resource value updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2130